"""add_like

Revision ID: 01a750736ea0
Revises: 449e066410fd
Create Date: 2023-10-21 23:59:18.971313

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "01a750736ea0"
down_revision = "449e066410fd"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "nonebot_plugin_bottle_like",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.BigInteger(), nullable=False),
        sa.Column("bottle_id", sa.Integer(), nullable=False),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("user_id", "bottle_id"),
    )
    with op.batch_alter_table("nonebot_plugin_bottle_bottle", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "like",
                sa.Integer(),
                nullable=False,
                server_default=sa.schema.DefaultClause("0")
            ),
            
        )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("nonebot_plugin_bottle_like")
    with op.batch_alter_table("nonebot_plugin_bottle_bottle", schema=None) as batch_op:
        batch_op.drop_column("like")
    # ### end Alembic commands ###
